Making sure you have the correct Apache2 setup

PHP is only guaranteed to work with the Apache2 "Prefork MPM" (Multi-Processing-Module) and you need to have apache2-prefork installed. This also means that the APACHE_MPM in /etc/sysconfig/apache2 must NOT be set to "worker". You can read more about the reasons for this issues in the Apache Documentation : Thread Safety For general information about MPMs please see Apache Documentation : MPM

If you use Yast2 to install Apache2 and the prefork module then all this will be automatically setup. Before continuing please make sure that You have successfully installed Apache2 on your server. For example by directing your favorite browser to "http://localhost/"


There is no need to install the default SuSE PHP5 module since we must replace that anyway with our own CGI version of PHP5.